commit c40322e1987a728abb6c7392476d80f195481f92
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 09:45:06 2010 -0700

    libXevie 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 667084499dd17a8058d5b7015a3ec238296cd8bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 09:39:45 2010 -0700

    Purge CVS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5222348e167d6080608688b273bfeb4af226e58
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 09:24:11 2010 -0700

    Add lint rules to enable code checking
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 40f4a42e5da2c78f15c8ea389a79eb3c7619abaf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 09:07:54 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 86935597bece223a5008235770610fe27cb36e13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 09:01:47 2010 -0700

    man: simplify building of shadow man pages
    
    Store the shadow files in git as any other man page.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 18356beea5e8b4c864a5e9f7459d285595b51fa9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Oct 31 08:54:12 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3396d845ac161aceeb1b66631bc07cf864e46387
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 08:53:37 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 600c3ed9964f18c2c74b50ac787c6e85006fa675
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 08:49:08 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 714fd8d5ebe7661b9537f5689b3028b5623c88a9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 21:07:16 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8fe372a34dca13a9411c1fa2d2b9c17b27be140e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 251e425b584421db5e215fd246f05eb679b1a6d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit a5672981c3a0eedb1ac3833ce62b20bf851f038f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 13d73c17891b895bbbd540ada094de83610f85d1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 58d7a0572c82d41343352dccd936c673a43d0be7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 13:10:43 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit aa93503b311c1a53c131a3c165417131e80dba19
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 1cd6ed57e0caa3d356884ec1598bd9b364f6c18b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:33 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d85ec4590ae344f8944b8ee02aa086c3d33edc12
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 15:53:25 2009 -0200

    Janitor: make distcheck, remove extra .gitignore files.

commit 85dfcde3b46083a1d71c8520afa611e04d8754c1
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Mar 5 15:36:13 2008 -0300

    libXevie ansification.
    
    XevieSendEvents dataType argument had prototype type int in Xevie.h, but
    definition type of char. This has been updated to type int in the
    "ansified" version, in Xevie.c.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit de0d57f639b6a265e99da2891650850e326f584f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 08:17:34 2008 +0100

    nuke RCS Ids

commit 005093460547729fd225a86b3ecd00de394efd3a
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:27 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 9b9b840280e1cc4c3a0c0773f341aaad5a74d0c3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Nov 29 16:18:30 2007 -0800

    Cruft removal
    
    Remove unused #define left over from using Xcup.c as a template
    Remove non-ANSI function declaration

commit 60784b3cdb79db6074161290c586928bca6bb23c
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 16:03:46 2006 -0400

    Bump to 1.0.2

commit 06c8a653730d8437f3c547c219da3632a159c52f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 27 18:53:52 2006 -0700

    Man page cleanups: remove extra ( from function proto, title of empty section

commit 7c58511a98a7e7102d6bb1e566e139fedaaa9163
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 27 18:52:58 2006 -0700

    Add *~ to .gitignore to skip over emacs droppings

commit 89ffdc5706c4f1f9b41fb8b2b5676d4a58a6c905
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:53 2006 -0700

    renamed: .cvsignore -> .gitignore

commit dc6862c0586868b87d6c876cc9a8355e32932bd3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:08:01 2006 +0000

    Bump to 1.0.1

commit 26e1c4fdf35b5f84609bc8cbf337bc46e413eb75
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 18:51:16 2006 +0000

    Bug #6403: Cygwin build fix. (Yaakov Selkowitz)

commit acbed17035c9eb62a06b5416a320c5d06be16699
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Feb 12 18:19:21 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 54984934950aa6d972537f08d82e664bd2a3f07d
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:29 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 29eaac282688b475bfb82266e9f313a9a8f38d8a
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:43 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit bdde5c76cd31d6befeb55f80c103afc9117a957d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 8be272ecd152fa7f2d6e649b52362ce88373af3d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:49 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit b9c8f0355a137c5d0ca21b0521aa7d74b9439a40
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 44e396d4d636c13958653b7a143164f065b23773
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:49 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit bb290cea4cae2391ec954e1467a5e9deaa543343
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:09 2005 +0000

    Update package version number for RC1 release.

commit d8ac4711d84e7458788f189e503d85d7257a2def
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:00:08 2005 +0000

    Use @LIB_MAN_SUFFIX@ instead of $(LIB_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 359169b7436f23ec7f65a6e7d6c6c5af595e53bb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 21:13:15 2005 +0000

    Rename .shadows.DONE to shadows.DONE to avoid some make's thinking it's a
        suffix rule (reported by Matthieu Herrb)

commit 52272123e0c62d9dc35048f34201fd30a815fe8b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 04:22:15 2005 +0000

    Use sed to put version number in man page Add shadow man pages for man
        pages that document multiple functions.

commit af2a2a80b0fbab8ef3c9fe5d63ec2a815df4bb34
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 5 19:28:25 2005 +0000

    Add man page to build

commit 622432031f6c1e5e739a828f6628d8c1a0727b30
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Aug 4 18:08:55 2005 +0000

    Bug #3968: Check for evieproto in configure.ac (Olli Helenius)

commit 731b653acdb2212e79fb43c648925eb4806eed82
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ac996e1370c499e299ecd363f8abe84edc92f381
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:02:37 2005 +0000

    Set soversion to 1.0.0 using -version-number.

commit 52d25e68bf788589beddc62bcd281958331c3b55
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:16:24 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit a669d549106aadb63511c6a7736d5d9c17360609
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:56 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit c2beccd24b7204c862ca0b80a7583db6db14d498
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 2 06:35:03 2005 +0000

    Add appropriate lib*_CFLAGS to Makefile.am's -- fixes build problems

commit 9fbfd99ce6d70845d79bd2968bcca93d9147c6e4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jul 1 16:16:14 2005 +0000

    spell freedesktop.org correctly

commit 73615680a26b6e529bc548a59f1ca5e35d055c69
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 22 02:29:53 2005 +0000

    Initial modularization of libXevie

commit 20b140fca65e843e735f487413e2141a1190473f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 22 01:20:14 2005 +0000

    Move request id definitions to Xeviestr.h, leaving Xevie.h for client
        library definitions and Xeviestr.h for protocol definitions to allow
        cleaner split in modularization.

commit 2730ec4bdb46af133ae75f0082b49e9ceb8f113e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 4 02:41:49 2005 +0000

    Clean up text and formatting of Xevie man page

commit e7932255587558d9ac0f8af7fea15672a9ea4d71
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Mon Aug 16 17:16:44 2004 +0000

    Added Files: xevie.pc.in

commit 55fbed1b939b712afb682629eda68d5b9343f498
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Mon Aug 16 15:02:59 2004 +0000

    Move Xevie client side to its own lib.
    Modified Files: xc/lib/Imakefile xc/lib/Xext/Imakefile Added Files:
        xc/lib/Xevie/AUTHORS xc/lib/Xevie/Imakefile xc/lib/Xevie/Xevie.c
        xc/lib/Xevie/Xevie.man Removed Files: xc/lib/Xext/Xevie.c

commit a1f75fe2713520c0bfeb790bbebf322a6807ba70
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Fri Jul 30 01:31:08 2004 +0000

    Integration of XEVIE branch to trunk
        https://freedesktop.org/bugzilla/show_bug.cgi?id=947
    Modified Files: Imakefile Added Files: Xevie.h Xeviestr.h

commit 273efca4cde177bd58a0fd4f2c22c2f7674117a1
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Wed Feb 25 22:38:16 2004 +0000

    file Xevie.h was initially added on branch XEVIE.
